# List all payment transactions

List all payment transactions associated with your Belvo account.

Endpoint: GET /payments/br/transactions/
Version: 1.223.0
Security: basicAuth

## Query parameters:

  - `page` (integer)
    A page number within the paginated result set.
    Example: 1

  - `page_size` (integer)
    Indicates how many results to return per page. By default we return 100 results per page.

ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000).
    Example: 100

  - `id__in` (array)
    Return information for these resource ids.
    Example: ["6b3dea0f-be29-49d1-aabe-1a6d588642e6"]

  - `created_at` (string)
    Return items that were last updated in Belvo's database on this date (in YYYY-MM-DD format).
    Example: "2022-05-05"

  - `created_at__gt` (string)
    Return items that were last updated in Belvo's database after this date (in YYYY-MM-DD format).
    Example: "2022-05-05"

  - `created_at__gte` (string)
    Return items that were last updated in Belvo's database after or on this date (in YYYY-MM-DD format).
    Example: "2022-05-04"

  - `created_at__lt` (string)
    Return items that were last updated in Belvo's database before this date (in YYYY-MM-DD format).
    Example: "2022-04-01"

  - `created_at__lte` (string)
    Return items that were last updated in Belvo's database before or on this date (in YYYY-MM-DD format).
    Example: "2022-03-30"

  - `created_at__range` (array)
    Return accounts that were last updated in Belvo's database between two dates (in YYYY-MM-DD format). The first value indicates the start of the range and the second value indicates the end of the range.
    Example: ["2022-01-01","2022-12-31"]

  - `charge` (string)
    The charge.id you want to get results for.
    Example: "24e5b3a5-19aa-40fe-91e5-4db7f22ecc2d"

  - `charge__in` (array)
    One or more charge.ids that you want to get results for.
    Example: ["2f122ae2-fc09-4c6d-9940-b6220e8d191d"]

  - `beneficiary` (string)
    The beneficiary.id you want to get results for.
    Example: "24e5b3a5-19aa-40fe-91e5-4db7f22ecc2d"

  - `beneficiary__in` (array)
    One or more beneficiary.ids that you want to get results for.
    Example: ["ee43f030-4feb-4a06-95e7-d8d8afe5b16e"]

  - `payer` (string)
    The payer's bank-account.id you want to get results for.
    Example: "24e5b3a5-19aa-40fe-91e5-4db7f22ecc2d"

  - `payer__in` (array)
    One or more payer bank-account.ids that you want to get results for.
    Example: ["901bc024-be57-4972-b4cf-31664b369d6e"]

  - `customer` (string)
    The customer.id you want to get results for.
    Example: "24e5b3a5-19aa-40fe-91e5-4db7f22ecc2d"

  - `customer__in` (array)
    One or more customer.ids that you want to get results for.
    Example: ["cb320adc-9a6b-4224-933a-5b08cf771ac7"]

  - `payment_intent` (string)
    The payment-intent.id you want to get results for.
    Example: "24e5b3a5-19aa-40fe-91e5-4db7f22ecc2d"

  - `payment_intent__in` (array)
    One or more payment-intent.ids that you want to get results for.
    Example: ["cb320adc-9a6b-4224-933a-5b08cf771ac7"]

  - `transaction__type` (string)
    Return results for this transaction type. Can be either INFLOW or OUTFLOW.
    Enum: "INFLOW", "OUTFLOW"

  - `currency` (string)
    Return results that hold finances or balances in only this three-letter currency code.
    Example: "BRA"

  - `description` (string)
    Return results for items with this description.
    Example: "Training shoes"

  - `amount` (number)
    Return results only for this value.
    Example: 1000.02

  - `amount__gt` (number)
    Return results only for more than this amount.
    Example: 1000.02

  - `amount__gte` (number)
    Return results only for and more than this amount.
    Example: 1000.02

  - `amount__lt` (number)
    Return results only for less than this amount.
    Example: 1000.02

  - `amount__lte` (number)
    Return results only for this amount or less.
    Example: 1000.02

  - `amount__range` (array)
    Return results between this amount range. The first value indicates the start of the range and the second value indicates the end of the range.
    Example: [100,5000]

## Response 200 fields (application/json):

  - `count` (integer)
    The total number of results in your Belvo account.
    Example: 130

  - `next` (string,null)
    The URL to next page of results. Each page consists of up to 100 items. If there are not enough results for an additional page, the value is null.

In our documentation example, we use {endpoint} as a placeholder value. In production, this value will be replaced by the actual endpoint you are currently using (for example, accounts or owners).
    Example: "https://sandbox.belvo.com/api/{endpoint}/?link=1bd948f7-245d-4313-b604-34d1044cb908&page=2"

  - `previous` (string,null)
    The URL to the previous page of results. If there is no previous page, the
value is null.

  - `results` (array)
    Array of transaction objects.

  - `results.id` (string, required)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `results.created_at` (string, required)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `results.created_by` (string, required)
    The unique ID for the user that created this item.
    Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"

  - `results.amount` (string, required)
    The transaction amount.


Note: The amount displayed is always positive as we indicate the direction of the transaction in transaction_type parameter.
    Example: "1020.00"

  - `results.currency` (string, required)
    The currency of the amount paid, for example, BRL (Brazilian Real).
    Enum: "BRL"

  - `results.description` (string, required)
    The description of the payment.
    Example: "Training shoes"

  - `results.transaction_type` (string, required)
    The direction of the transaction.

  - INFLOW indicates money coming into the account.
  - OUTFLOW indicates money coming out of the account.
    Enum: "INFLOW", "OUTFLOW"

  - `results.beneficiary` (string, required)
    Belvo's unique ID used to identify the beneficiary's bank account.
    Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"

  - `results.payer` (any, required)
    Note: For OFPI, this will return an empty object {}.

  - `results.payment_intent` (string)
    The unique ID of the payment intent associated with the transaction.
    Example: "004a28bb-fac2-4172-884b-5b6ea15314ad"

  - `results.customer` (string)
    Belvo's unique ID for the customer asscociated with this transaction.
    Example: "9eebd63b-3339-44a9-8a5a-72bb6cb2f310"

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


